Saltar al contenido

Delete a run of show

Módulo Show

DELETE/run-of-show/{id}runsOfShow.delete

A run of show for one show scope node. Soft-deletes the run of show: it moves to Trash and can be restored for its table's retention period.

  • Requiere la capacidad show.run_of_show.write.
  • Alcances de OAuth: show.
  • Estados de error: 401, 404, 422, 429. Los errores son detalles de problema RFC 9457.

Parámetros de ruta y de consulta

runsOfShow.delete: Parámetros de ruta y de consulta
CampoTipoObligatorioDescripción
idstring (uuid)SíIdentifier of the run of show.

Respuesta 204: sin cuerpo.

Ejemplos de código

curl -X DELETE "$XOS_BASE_URL/run-of-show/0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f" \
  -H "Authorization: Bearer $XOS_API_KEY"
const { data } = await xos.runsOfShow.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f");
response = xos.runs_of_show.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f")
xos runs-of-show delete 0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f